Foreman - Bug #13092

802.3ad bonding setup doesn’t work correctly
01/08/2016 11:41 AM - Bryan Kearney

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Templates
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1288420 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/4583,

https://github.com/theforeman/communit

y-templates/pull/402,

https://github.com/theforeman/foreman/p

ull/5168

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1288420

Description of problem:

Creating a bonded interface with 802.3ad in Satellite 6.1.3 does not deploy correctly. We expect to see a bond0 interface with a
number of bond0.101, bond0.102 etc interfaces.

We try to create a bond0 which incorporates two devices, enp12s0f1 and enp22s0. Bonding options are deployed correctly. We use
the MAC of the first interface, enp12s0f1 in the Sat 6 interface. When the host comes up after re-provisioning it sometimes creates a
ifcfg-enp12s0f1.101 file or sometimes a ifcfg-.101 file.

Version-Release number of selected component (if applicable):
Satellite 6.1.3

Actual results:
The host comes up after re-provisioning it sometimes creates a ifcfg-enp12s0f1.101 file or sometimes a ifcfg-.101 file.

Expected results:
The host to have the configured bond options

Additional info:
We are wanting to deploy an OSP 7 environment using these network bonds so this will shortly be a blocker in doing so.

Customer worked around the issue by doing:
1) Making up a MAC address for the bond interface, something entirely bogus and then re-using that same MAC for the VLAN
interfaces rendered us a kickstart that looks better.

Making up a MAC adress got us the bond created but then, adding VLAN:s on top of the bond fails as the snippet is doing a grep for
the made-up MAC in the output of 'ip -I'

Next workaround was to acutally fix-up the broken config files for the VLANs

2) The workaround we used was to following patch against kickstart_network_setup

Do note that | doubt the workaround is generic enough to be used a generic solution

diff --git a/Satellite6/0SP7/templates/snippets/kickstart_network_setup_RH1544500.erb b/Satelliteb
/OSP7/templates/snippets/kickstart_network_setup_RH1544500.erb

index Obfdccc..00d2ab5 100644

-—— a/Satellite6/0SP7/templates/snippets/kickstart_network_setup_RH1544500.erb

+++ b/Satellite6/0SP7/templates/snippets/kickstart_network_setup_RH1544500.erb
@@ -114,6 +114,7 @QR real="ip -o link | grep <%= interface.mac -%> | awk '{print $2;}' | sed s/:$//
<% if virtual -%>

real="echo <%= interface.identifier -%> | sed s/<%= interface.attached_to -%>/Sreal/’

<% end -%>
+real="<%= interface.identifier —-%>"

# ifcfg files are ignored by NM if their name contains colons so we convert colons to underscore

<% if alias_type —-%>

Related issues:

Related to Foreman - Bug #24753: Deploying bonds and vlans does not work corr...

Closed

Associated revisions

Revision 89380cc2 - 01/11/2018 11:51 AM - Ondiej Prazak
Fixes #13092 - Deploy correct bonding for reprovisioned host (#4583)

Revision f7aedf06 - 01/15/2018 09:16 AM - Marek Hulan

Refs #13092 - sync up community templates

History

#1 - 01/11/2016 02:00 AM - Marek Hulan

- Category set to Templates

#2 - 02/23/2016 06:38 AM - Marek Hulan

- Description updated

#3 - 08/19/2016 07:20 AM - Tomas Strachota

- Target version set to 115

#4 - 05/16/2017 04:42 AM - Marek Hulan

- Target version changed from 115to 1.13.4

#5 - 06/13/2017 08:43 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej PraZak

- Pull request https://github.com/theforeman/foreman/pull/4583 added

#6 - 06/16/2017 05:48 AM - Marek Hulan
- Target version changed from 1.13.4 to 1.14.0

#7 - 07/03/2017 02:57 AM - Marek Hulan
- Target version changed from 1.14.0 to 1.14.3

#8 - 07/20/2017 10:22 AM - Marek Hulan
- Target version changed from 1.14.3 to 1.17.0-RC2

#9 - 08/08/2017 08:36 AM - Marek Hulan
- Target version changed from 1.17.0-RC2 to 1.18.0-RC2

#10 - 08/29/2017 05:57 AM - Marek Hulan
- Target version changed from 1.18.0-RC2 to 214

#11 - 09/20/2017 09:27 AM - Marek Hulan
- Target version changed from 214 to 1.16.0-RC2

#12 - 10/23/2017 03:09 PM - Marek Hulan
- Target version changed from 1.16.0-RC2 to 1.16.0-RC1

#13 - 10/30/2017 01:50 PM - Marek Hulan
- Target version changed from 1.16.0-RC1 to 1.16.2

#14 - 11/21/2017 07:52 AM - Marek Hulan
- Target version changed from 1.16.2to 1.16.1

#15 - 12/12/2017 11:51 AM - Marek Hulan
- Target version changed from 1.16.1 to 238

#16 - 01/11/2018 11:51 AM - Marek Hulan

- translation missing: en.field_release set to 330

#17 - 01/11/2018 11:52 AM - Marek Hulan
- Pull request https://github.com/theforeman/community-templates/pull/402 added

#18 - 01/11/2018 12:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 89380cc2b28dd63112d0e3a3952{709807d0171b.

#19 - 01/15/2018 07:35 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5168 added

#20 - 08/30/2018 09:07 AM - Ondiej Prazak
- Related to Bug #24753: Deploying bonds and vians does not work correctly added
